位置:首页 > 软件操作教程 > 工业产品软件 > SolidWorks > 问题详情

Rhino 常用创建几何体函数 5 其它常用函数

提问人:刘团圆发布时间:2020-10-23

       1)弹出消息框:(简写: MsgBox)

                Rhino.MessageBox (strMessage [, intButtons [, strTitle]])

         2)打开指定格式的文件:

                Rhino.OpenFileName ([strTitle [, strFilter [, strFolder [, strFilename

                [,  strExtension]]]]])

         3)点坐标转换为字符串:

                Rhino.Pt2Str (arrPoint [, intPrecision [, blnSpace]])

         4)读取文本信息:

                Rhino.ReadTextFile (strFileName [, blnIgnoreEmptyRows [, 

                blnTrimSpaces]])

         5)输入信息到文本:

                Rhino.WriteTextFile (strFileName, arrStrings [, blnAppend [, 

                intEncoding]])

         6)添加文字:

                Rhino.AddText (strText, arrPoint [, dblHeight [, strFont [, intStyle [, 

                intJustification]]]])

         7)添加Dot文字:

                Rhino.AddTextDot (strText, arrPoint)

         8)包裹物件:

                Rhino.BoundingBox (arrObjects [, arrPlane [, blnWorldCoords]])

         9)求文字的点坐标:

                Rhino.TextObjectPoint (strObject [, arrPoint])

       10)把文字从ID格式转换成文字格式:

                Rhino.TextObjectText (strObject [, strText])

       11)返回标注的数字(包括手动修改的):

                Rhino.DimensionText (strObject)

       12)修改标注数字:

                Rhino.DimensionUserText (strObject [, strUserText])

       13)设置脚步快捷键:

                Rhino.AddAlias (strAlias, strMacro)

       14)使用rhino内部命令:

                Rhino.Command (strCommand [, blnEcho])

       15)用指定符号分割字段:

                Rhino.Strtok (strText [, strDelimiters])


继续查找其他问题的答案?

相关视频回答
回复(0)

特邀嘉宾

软件开发工程师——刘团圆

软件开发专业科班出身,擅长软件开发课程培训。

向TA咨询

该嘉宾的QQ群

更多>>
    返回顶部
    国产电影_2020最新好看的内地国产电影推荐_国产电影排行榜